<?php
namespace Claromentis\People\Import;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_3303c3b061a8a8b7cbb719f29dbfe" . "632" => base64_decode("Tm90IG" . "ltcGxl" . "bWVudG" . "Vk"), "_31767d7ad58e706dbf47b7a51a0" . "fe6c4" => base64_decode("Y29" . "1bn" . "Q="));
class ImportCSVList implements \Iterator, \Countable
{
    
    
    
    
    protected $importer;
    protected $csv_data;
    protected $index;
    public function SetCSVData($data)
    {
        $this->csv_data = $data;
        $this->index = 0;
    }
    public function GetRaw()
    {
        return $this->csv_data;
    }
    public function SetUsersImporter($_586cceef9738476b77f512ed8beccc69)
    {
        $this->importer = $_586cceef9738476b77f512ed8beccc69;
    }
    
    
    
    
    
    
    
    
    public function current()
    {
        $row = $this->csv_data[$this->index];
        $_24e0e36600d6af77406a44bb618a6253 = $this->importer->InitUserFromCSVRow($row);
        return $_24e0e36600d6af77406a44bb618a6253;
    }
    
    
    
    
    
    
    
    public function next()
    {
        ++$this->index;
    }
    
    
    
    
    
    
    
    public function key()
    {
        return $this->index;
    }
    
    
    
    
    
    
    
    
    public function valid()
    {
        return isset($this->csv_data[$this->index]);
    }
    
    
    
    
    
    
    
    
    
    public function rewind()
    {
        if ($this->index !== 0) {
            throw new \RuntimeException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3303c3b061a8a8b7cbb719f29d" . "bfe632"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function count()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_31767d7ad58e70" . "6dbf47b7a51a0fe" . "6c4"]($this->csv_data);
    }
}